aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.SetIdentityDkimEnabled

Synopsis

- data SetIdentityDkimEnabled = SetIdentityDkimEnabled {
  - sdDkimEnabled :: Bool
  - sdIdentity :: Text
  }
- data SetIdentityDkimEnabledResponse = SetIdentityDkimEnabledResponse

# Documentation

data SetIdentityDkimEnabled Source #

Change whether bounces and complaints for the given identity will be DKIM signed.

Constructors

SetIdentityDkimEnabled |

Fields

- sdDkimEnabled :: Bool
- sdIdentity :: Text

#### Instances

Instances details

SignQuery SetIdentityDkimEnabled Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type ServiceConfiguration SetIdentityDkimEnabled |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ServiceConfiguration SetIdentityDkimEnabled = SesConfiguration

Methods

signQuery :: SetIdentityDkimEnabled -> ServiceConfiguration SetIdentityDkimEnabled queryType -> SignatureData -> SignedQuery Source #

Show SetIdentityDkimEnabled Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled Methods showsPrec :: Int -> SetIdentityDkimEnabled -> ShowS Source # show :: SetIdentityDkimEnabled -> String Source # showList :: [SetIdentityDkimEnabled] -> ShowS Source #
Eq SetIdentityDkimEnabled Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled Methods (==) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool Source # (/=) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool Source #
Ord SetIdentityDkimEnabled Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Methods

compare :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Ordering Source #

(<) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool Source #

(<=) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool Source #

(>) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool Source #

(>=) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool Source #

max :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> SetIdentityDkimEnabled Source #

min :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> SetIdentityDkimEnabled Source #

ResponseConsumer SetIdentityDkimEnabled SetIdentityDkimEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type ResponseMetadata SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ResponseMetadata SetIdentityDkimEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityDkimEnabled -> IORef (ResponseMetadata SetIdentityDkimEnabledResponse) -> HTTPResponseConsumer SetIdentityDkimEnabledResponse Source #

Transaction SetIdentityDkimEnabled SetIdentityDkimEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled
type ServiceConfiguration SetIdentityDkimEnabled Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ServiceConfiguration SetIdentityDkimEnabled = SesConfiguration

data SetIdentityDkimEnabledResponse Source #

The response sent back by SES after the `SetIdentityDkimEnabled` command.

Constructors

SetIdentityDkimEnabledResponse |

#### Instances

Instances details

AsMemoryResponse SetIdentityDkimEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type MemoryResponse SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type MemoryResponse SetIdentityDkimEnabledResponse = SetIdentityDkimEnabledResponse

Methods

loadToMemory :: SetIdentityDkimEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityDkimEnabledResponse) Source #

Show SetIdentityDkimEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled Methods showsPrec :: Int -> SetIdentityDkimEnabledResponse -> ShowS Source # show :: SetIdentityDkimEnabledResponse -> String Source # showList :: [SetIdentityDkimEnabledResponse] -> ShowS Source #
Eq SetIdentityDkimEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled Methods (==) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool Source # (/=) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool Source #
Ord SetIdentityDkimEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Methods

compare :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Ordering Source #

(<) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool Source #

(<=) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool Source #

(>) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool Source #

(>=) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool Source #

max :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse Source #

min :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse Source #

ResponseConsumer SetIdentityDkimEnabled SetIdentityDkimEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type ResponseMetadata SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ResponseMetadata SetIdentityDkimEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityDkimEnabled -> IORef (ResponseMetadata SetIdentityDkimEnabledResponse) -> HTTPResponseConsumer SetIdentityDkimEnabledResponse Source #

Transaction SetIdentityDkimEnabled SetIdentityDkimEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled
type MemoryResponse SetIdentityDkimEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type MemoryResponse SetIdentityDkimEnabledResponse = SetIdentityDkimEnabledResponse
type ResponseMetadata SetIdentityDkimEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ResponseMetadata SetIdentityDkimEnabledResponse = SesMetadata